Bug 1724357 - nf_conntrack_netlink: deleting conntrack entry fails, patch attached
Summary: nf_conntrack_netlink: deleting conntrack entry fails, patch attached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-26 21:07 UTC by Felix Kaechele
Modified: 2019-08-04 02:08 UTC (History)
17 users (show)

Fixed In Version: kernel-5.1.16-300.fc30 kernel-5.1.16-200.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-04 02:08:24 UTC


Attachments (Terms of Use)
Patch that is upstream (2.59 KB, application/mbox)
2019-06-26 21:07 UTC, Felix Kaechele
no flags Details

Description Felix Kaechele 2019-06-26 21:07:56 UTC
Created attachment 1584954 [details]
Patch that is upstream

On current Kernels (5.0.20+ and 5.1.6+) there is a bug in the nf_conntrack_netlink module that prevents userspace tools from deleting singular conntrack entries from the conntrack table.

I have sent a patch upstream and it was accepted for inclusion here: https://git.kernel.org/pub/scm/linux/kernel/git/pablo/nf.git/commit/?id=e7600865db32b69deb0109b8254244dca592adcf

Would it be possible to pick this up downstream until we see a release of a kernel with this patch included?
Totally fine if not if it's too much effort.

Thanks!

Comment 1 Jeremy Cline 2019-07-03 14:32:29 UTC
Hi Felix,

I've picked it up for the v5.1.16 build in Fedora.

Comment 2 Fedora Update System 2019-07-03 21:19:28 UTC
FEDORA-2019-d969cc2703 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d969cc2703

Comment 3 Fedora Update System 2019-07-04 00:58:38 UTC
kernel-5.1.16-300.fc30, kernel-headers-5.1.16-300.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d969cc2703

Comment 4 Fedora Update System 2019-07-04 03:11:10 UTC
kernel-5.1.16-200.fc29, kernel-headers-5.1.16-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a6d06090f0

Comment 5 Fedora Update System 2019-07-06 04:09:34 UTC
kernel-5.1.16-300.fc30, kernel-headers-5.1.16-300.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-06 05:08:01 UTC
kernel-5.1.16-200.fc29, kernel-headers-5.1.16-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Felix Kaechele 2019-07-24 02:43:19 UTC
Bug reappeared in kernel-5.2.2-200.fc30.x86_64 which is used for the current Test Day.
It seems patch was not carried over.

Meanwhile I got notice that the patch was picked up for inclusion in stable. So it should be showing up in the releases after the next one.

Comment 8 Felix Kaechele 2019-08-04 02:08:24 UTC
Fixed in 5.1.20 and 5.2.3


Note You need to log in before you can comment on or make changes to this bug.